package com.example.fragmentsample;

import android.app.ActionBar;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.view.Menu;
import android.widget.Toast;

public class MainActivity extends FragmentActivity{

	/**
	 * The serialization (saved instance state) Bundle key representing the
	 * current dropdown position.
	 */
	private static final String STATE_SELECTED_NAVIGATION_ITEM = "selected_navigation_item";

	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
//		Toast.makeText(getApplicationContext(), "onCreate", Toast.LENGTH_SHORT).show();
	}
	
	
	
	@Override
	public void onStart(){
		super.onStart();
		createFragment1();
//		Toast.makeText(getApplicationContext(), "onStart", Toast.LENGTH_SHORT).show();
	}
	@Override
	public void onRestart() {
		super.onRestart();
//		Toast.makeText(getApplicationContext(), "onRestart", Toast.LENGTH_SHORT).show();
	}
	
	@Override
	public void onStop() {
		super.onStop();
//		Toast.makeText(getApplicationContext(), "onStop", Toast.LENGTH_SHORT).show();
	}
	
	@Override
	public void onDestroy() {
		super.onDestroy();
//		Toast.makeText(getApplicationContext(), "onDestroy", Toast.LENGTH_SHORT).show();
	}
	
	public void createFragment1() {
		Fragment fragment1 = new Fragment1();
		Bundle args1 = new Bundle();
		fragment1.setArguments(args1);
		getSupportFragmentManager().beginTransaction()
				.replace(R.id.container, fragment1).commit();
	}
	
	
	
	/**
	 * Backward-compatible version of {@link ActionBar#getThemedContext()} that
	 * simply returns the {@link android.app.Activity} if
	 * <code>getThemedContext</code> is unavailable.
	 */
//	@TargetApi(Build.VERSION_CODES.ICE_CREAM_SANDWICH)
//	private Context getActionBarThemedContextCompat() {
//		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.ICE_CREAM_SANDWICH) {
//			return getActionBar().getThemedContext();
//		} else {
//			return this;
//		}
//	}

	@Override
	public void onRestoreInstanceState(Bundle savedInstanceState) {
		// Restore the previously serialized current dropdown position.
		if (savedInstanceState.containsKey(STATE_SELECTED_NAVIGATION_ITEM)) {
			getActionBar().setSelectedNavigationItem(
					savedInstanceState.getInt(STATE_SELECTED_NAVIGATION_ITEM));
		}
	}

	@Override
	public void onSaveInstanceState(Bundle outState) {
		// Serialize the current dropdown position.
		outState.putInt(STATE_SELECTED_NAVIGATION_ITEM, getActionBar()
				.getSelectedNavigationIndex());
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
}
